Subject: bug#3992: 23.1.50; [Cocoa Emacs] emacsclient can't find server via ssh

From: bread <[email-masked]>
Date: Fri, 31 Jul 2009 16:05:07 +0800

--text follows this line--

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing
list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Hi,

I've recently moved to MAC OS 10.5 and I compiled Emacs 23 just now,
following instructions
under nextstep.

The bug i found is just like this:

1. Cocoa Emacs was opened on machine A with server-start.

Using emacsclient directly under machine A is just fine.

But, if I use another machine B to ssh login A, and then use emacsclient,
it then told me no server can be found. It's wired because i've opend Emacs
and its server.

The same operations on Emacs under linux is just fine, so i thought maybe
it's a bug related to Cocoa Emacs.

2. Since Step 1 failed, i tried server-file, too.

I adjusted Emacs server to use tcp and with a server name "bread-emacs".

After then, I use B to loginto A via ssh, and invoke

      ./emacsclient --server-file=/Users/bread/.emacs.d/server/bread-emacs
abc

I'll get errors like below:

./emacsclient: connected to remote socket at 255.255.255.255
./emacsclient: connect: Can't assign requested address
./emacsclient: error accessing server file
"/Users/bread/.emacs.d/server/bread-emacs"

And here's the contents in ~/.emacs.d/server/bread-emacs

[0:0:0:0:0:0:0:1]:50461 27746
PbZI|X\h]&R~EdtG5n'2q=t^O.:E@7_py;:wrvaQ{4PBxFi.6o@(.5e\C~#c7aT2

I'm not sure if this is a bug, so, if there's more information needed, plz
let me know.

Thanks.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/Users/bread/codes/download/emacs/nextstep/Emacs.app/Contents/Resources/etc/DEBUG
for instructions.

In GNU Emacs 23.1.50.1 (i386-apple-darwin9.7.1, NS apple-appkit-949.46)
 of 2009-07-31 on bread-mac.local
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  gud-tooltip-mode: t
  company-mode: t
  senator-minor-mode: t
  which-function-mode: t
  semantic-mru-bookmark-mode: t
  semantic-idle-tag-highlight-mode: t
  semantic-idle-summary-mode: t
  semantic-idle-scheduler-mode: t
  diff-auto-refine-mode: t
  recentf-mode: t
  shell-dirtrack-mode: t
  display-battery-mode: t
  tabbar-mode: t
  auto-image-file-mode: t
  show-paren-mode: t
  server-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
t l m <tab> <return> C-n C-n C-n C-n C-n M-x r e p
o r <tab> <return>

Recent messages:
Loading semantic-decorate-mode...done
Loading gud...done
Restarting server
Loading /Users/bread/.emacs.d/custom.el (source)...done
Loading /Users/bread/.emacs.d/site-lisp/themes/color-theme-blackboard.el
(source)...done
Loading /Users/bread/.emacs.d/site-lisp/themes/color-theme-bread.el
(source)...done
Loading /Users/bread/.emacs.d/site-lisp/themes/color-theme-example.el
(source)...done
Loading /Users/bread/.emacs.d/site-lisp/themes/color-theme-library.el
(source)...done
Loading semanticdb-file...done
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
~/.emacs.d/site-lisp/cedet/speedbar/speedbar hides
/Users/bread/codes/download/emacs/nextstep/Emacs.app/Contents/Resources/lisp/speedbar
~/.emacs.d/site-lisp/cedet/speedbar/sb-image hides
/Users/bread/codes/download/emacs/nextstep/Emacs.app/Contents/Resources/lisp/sb-image
/Users/bread/.emacs.d/site-lisp/cedet/common/ezimage hides
/Users/bread/codes/download/emacs/nextstep/Emacs.app/Contents/Resources/lisp/ezimage
~/.emacs.d/site-lisp/cedet/speedbar/dframe hides
/Users/bread/codes/download/emacs/nextstep/Emacs.app/Contents/Resources/lisp/dframe

-- 
Zhiqiu Kong (孔直秋)

EDA Labs
Dept. Computer Science & Technology
Tsinghua University
P.R China
100084